/**
 * OW2 Specifications
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: TransactionRequiredException.java 1506 2007-06-30 15:34:09Z sauthieg $
 * --------------------------------------------------------------------------
 */

package javax.transaction;

import java.rmi.RemoteException;
 
/**
 * This exception indicates that a request carried a null transaction
 * context, but the target object requires an active transaction.
 * @author Guillaume Sauthier
 */
public class TransactionRequiredException extends RemoteException {

    /**
     * Serial Version UID.
     * TODO Check for interop
     */
    private static final long serialVersionUID = -1898806419937446439L;

    /**
     * Creates a new TransactionRequiredException.
     */
    public TransactionRequiredException() {
        super();
    }

    /**
     * Creates a new TransactionRequiredException.
     * @param msg Exception message
     */
    public TransactionRequiredException(String msg) {
        super(msg);
    }

}
